@echo off
REM BEGIN COPYRIGHT
REM *************************************************************************
REM Licensed Materials - Property of IBM 
REM 5724-L01, 5655-N53, 5724-I82, 5655-R15
REM (C) Copyright IBM Corporation 2006, 2009. All rights reserved. 
REM US Government Users Restricted Rights - Use, duplication, or disclosure
REM restricted by GSA ADP Schedule Contract with IBM Corp.
REM *************************************************************************
REM END COPYRIGHT

setlocal

SET CUR_DIR=%cd%

%~d0
cd %~p0

set PROFILE_TYPE=%1
set PRODUCT_VERSION=%2
set DB_NAME=%3
set DB_USER=%4

REM --  CONNECT TO THE EXISTING DATABASE FOR COMMONDB UPDATES

@db2 connect to %DB_NAME% USER %DB_USER% %USING%

set RC=%ERRORLEVEL%
if not %RC%==0 goto PRINT_USAGE

@db2 set current schema=%DB_USER%

dir /B | findstr "^upgradeSchema%PRODUCT_VERSION%_" > %PRODUCT_VERSION%.log

if  "%PROFILE_TYPE%" == "wbiserver"   dir /B | findstr "^wbiserver_upgradeSchema%PRODUCT_VERSION%_" >> %PRODUCT_VERSION%.log
if  "%PROFILE_TYPE%" == "esbserver"    dir /B | findstr "^esbserver_upgradeSchema%PRODUCT_VERSION%_" >> %PRODUCT_VERSION%.log


for /F "tokens=1* delims=" %%v in ( %PRODUCT_VERSION%.log ) do (
       @db2 -s -t -f ".\%%v"
       if not %RC%==0 goto PRINT_USAGE
)

goto END 

:PRINT_USAGE

REM Print usage messages


echo ===================================================================================================
echo Check DB2 setup or Enter correct dbUserId or dbPassword or dbName
echo ===================================================================================================
echo Usage: upgradeSchema.bat ^<profileType^> ^<product_version^>  ^<dbName^> ^<dbUserId^>
echo Parameters:
echo profileType       -  Specify the migrated profileType  i.e., wbiserver or esbserver
echo product_version   -  Specify the migration version i.e., 620 or 612 or 610 or 602
echo dbName            -  DB2 Database Name(dbName) i.e., WPRCSDB 
echo dbUserId          -  User who can execute common scripts i.e.,dbUserId
echo Examples:
echo         1. upgradeSchema.bat -help
echo         2. upgradeSchema.bat [interactive mode]
echo         3. upgradeSchema.bat wbiserver 620 WPRCSDB db2admin 
echo         Note: This script shall not be used if profileType is esbserver and product version is 602
echo ==================================================================================================

goto END

:END

rem del  %PRODUCT_VERSION%.log

cd /d "%CUR_DIR%"
endlocal
