-- BEGIN COPYRIGHT
-- *************************************************************************
-- Licensed Materials - Property of IBM 
-- 5724-L01, 5655-N53, 5724-I82, 5655-R15
-- (C) Copyright IBM Corporation 2004, 2006,2008, 2009. All rights reserved. 
-- US Government Users Restricted Rights - Use, duplication, or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.
-- *************************************************************************
-- END COPYRIGHT

----------------------------------------------------------------------
-- Following variables needs to be changed for customization and 
-- before running this script.
-- @STOGRP@			 = DB2 Storage group name
-- @DB_NAME@         = DB2 Database name
-- @SCHEMA@          = DB2 SQLID (Schema Qualifier)
-- @BPTABLE4K@       = Buffer Pool of 4k Size
-- @BPTABLE8K@       = Buffer Pool of 8k Size
-- @BPTABLE16K@      = Buffer Pool of 16k Size
-- @BPTABLE32K@      = Buffer Pool of 32k Size
-- @BPINDEX@         = Buffer Pool Index
-- @BPLOB4K@         = Buffer Pool Lobs
----------------------------------------------------------------------

-- *******************************************
-- Create tablespaces
-- *******************************************
CREATE TABLESPACE VERSION
IN @DB_NAME@ USING STOGROUP @STOGRP@
 CCSID UNICODE
 DEFINE NO
 SEGSIZE 32
 LOCKSIZE ANY
 BUFFERPOOL @BPTABLE4K@;

-- *******************************************
-- create table SCHEMAVERSIONINFO
-- *******************************************
CREATE TABLE @SCHEMA@.SchemaVersionInfo
  (ComponentName	VARCHAR (255) NOT NULL,
   MajorVersion		SMALLINT NOT NULL,
   MinorVersion		SMALLINT NOT NULL,
   RefreshPackLevel	SMALLINT NOT NULL,
   FixpackLevel		SMALLINT NOT NULL,
   Migration		SMALLINT NOT NULL,
   PRIMARY KEY (ComponentName, MajorVersion,
   		MinorVersion, RefreshPackLevel, FixpackLevel))
IN @DB_NAME@.VERSION;

CREATE UNIQUE INDEX @SCHEMA@.SchemaVersionInfo ON 
	@SCHEMA@.SchemaVersionInfo (ComponentName, MajorVersion,
		MinorVersion, RefreshPackLevel, FixpackLevel)
 USING STOGROUP @STOGRP@
 DEFINE NO
 NOT PADDED
 BUFFERPOOL @BPINDEX@;
